### Method

# GObject Closure add_finalize_notifier

#### Declaration [src]

    void
    g_closure_add_finalize_notifier (
      GClosure* closure,
      gpointer notify_data,
      GClosureNotify notify_func
    )

#### Description [src]

Registers a finalization notifier which will be called when the reference count of `closure` goes down to 0.

Multiple finalization notifiers on a single closure are invoked in unspecified order. If a single call to `g_closure_unref()` results in the closure being both invalidated and finalized, then the invalidate notifiers will be run before the finalize notifiers.

This method is not directly available to language bindings.

#### Parameters

`notify_data`

  Type: `gpointer`

  Data to pass to `notify_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify_func`

  Type: `GClosureNotify`

  The callback function to register.